Subject: Re: bug#25230: Patch to ispell.el to simplify use of [:alpha:] for CASECHARS in built-in dictionaries

From: Reuben Thomas <[email-masked]>
Date: Tue, 20 Dec 2016 21:45:24 +0000

On 20 December 2016 at 19:37, Eli Zaretskii <[email-masked]> wrote:

> > From: Reuben Thomas <[email-masked]>
> > Date: Tue, 20 Dec 2016 18:42:05 +0000
> > Cc: [email-masked]
> >
> >  > ​No, because my patch does not change the current behaviour of the
> code. The assumption that
> >  [:alpha:] is OK to use here instead of A-Za-z is already in the code.​
> >
> >  Can you point out where in the code you see that assumption?
> >
> > The current code in about line 1300 (ispell-set-spellchecker-params)
> unconditionally overrides all the built-in
> > dictionaries' values for casechars and not-casechars with [:alpha:] in
> the loop that starts
> >
> > (dolist (adict ispell-dictionary-alist) …)
>
> That's the place where you suggested to keep the original values.  I
> thought there were other places, but it's good to know there are none.
>

​I believe not, indeed.​

>  I think so, but we should make sure the hard-wired values work with
> >  Aspell, before we make that change. If they don't, we should provide
> >  something that works for Aspell.
> >
> > ​I thought the hard-wired values were only for ispell dictionaries (for
> aspell, the dictionaries are searched for on
> > the computer)…
>
> But if we find that an installed dictionary is one of those in the
> data base of the hard-wired values, we use those values, right?
>

​No, for aspell, we should only be using aspell dictionaries (found by
ispell-find-aspell-dictionaries).​

> Because AFAIK Aspell provides only one of the 3 character sets we need
> in its dictionaries, the other 2 need to be somehow guessed or
> provided by the user.
>

​They are guessed as [:alpha:], because we don't have better information
(that I know of).

-- 
http://rrt.sc3d.org